#This script must be written using PyQT, so it must be imported
from qt import *

#The configuration page wich will be displayed in the GUI is defined by this class
#It must be a subclass of the QWidget class of PyQT
class Page(QWidget):
	
	def __init__(self, parent, conf):
		apply(QWidget.__init__, (self, parent))
	
	#This function is called when the user clicks on 'Apply' in the GUI.
	#In this function the 'self.param' 'dict' must be build
	#Typically it builds a 'dict' just like "default_param" (in plugin_aio.py)
	#but with values updated with those entered by the user in this Page
	#The parameters' names (ex: "myplugin_parameter1") must be the same as those in "default_param"
	def buildParam(self):
		self.param = {}
		self.param["myplugin_parameter1"] = self.QObject1.value()
		self.param["myplugin_parameter2"] = self.QObject2.value()